cgAddStateEnumerant(3)

NAME
cgAddStateEnumerant - associates an integer enumerant value as a possible value for a state

SYNOPSIS
  #include <Cg/cg.h>
  void cgAddStateEnumerant( CGstate state,
                            const char * name,
                            int value );

PARAMETERS

state
    The state to which to associate the name and value.

name
    The name of the enumerant.

value
    The value of the enumerant.

RETURN VALUES
None.

DESCRIPTION
cgAddStateEnumerant associates a given named integer enumerant value with a state definition. When that state is later used in a pass in an effect file, the value of the state assignment can optionally be given by providing a named enumerant defined with cgAddStateEnumerant. The state assignment will then take on the value provided when the enumerant was defined.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

HISTORY
cgAddStateEnumerant was introduced in Cg 1.4.

SEE ALSO
the cgCreateState manpage, the cgCreateArrayState manpage, the cgCreateSamplerState manpage, the cgCreateSamplerArrayState manpage, the cgGetStateName manpage